One TWAP order in detail
curl --request GET \
--url https://api.hypedexer.com/twaps/{twap_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/twaps/{twap_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/twaps/{twap_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "TWAP 2230869",
"data": {
"meta": {
"twapId": 2230869,
"status": "activated",
"coin": "ENA",
"user": "0xb16209e95a9693e6462f8c4004da4a824597eb5f",
"side": "B",
"sz": 49727,
"executedSz": 0,
"executedNtl": 0,
"executionPct": 0,
"minutes": 5,
"reduceOnly": false,
"randomize": false,
"startTime": "2026-09-19T07:05:46",
"updatedAt": "2026-09-19T07:05:46.945925"
},
"events": [
{
"eventTime": "2026-09-19T07:05:46.945925",
"status": "activated",
"executedSz": 0,
"executedNtl": 0
}
],
"fills": {
"fillCount": 8,
"totalNotional": 3249.45812,
"totalSz": 18082,
"avgPx": 0.17983624999999998,
"minPx": 0.1792,
"maxPx": 0.18024,
"totalFees": 1.4037640000000002,
"totalBuilderFees": 0,
"firstFill": "2026-09-19T07:05:48.010999",
"lastFill": "2026-09-19T07:07:18.036000"
}
},
"total_count": null,
"execution_time_ms": 600.94,
"next_cursor": null,
"has_more": null
}TWAPs
One TWAP order in detail
Full detail for one TWAP: metadata, event history and fill summary.
GET
/
twaps
/
{twap_id}
One TWAP order in detail
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Path Parameters
TWAP ID